Subject: bug#75136: fix guile-dbi and guile-dbd-* to use Guile 3

From: Josep Bigorra <[email-masked]>
Date: Fri, 27 Dec 2024 10:29:06 +0100

Hi all,
I have been lately working more and more with Guix and Guile Scheme
and really embracing it. Although for me to really commit to it, I
need some database libraries that actually work. I discovered the
`guile-dbi` and `guile-dbi-sqlite3`
(https://github.com/opencog/guile-dbi) but notice that they depend on
Guile 2 in Guix.

This makes it unworkable for me, also since the software I am
building, as well as my Guix system, run on Guile 3 only.

I attempted to patch the Guix package myself, but I gave up after much
frustration. I would really appreciate some help from someone that
could fix it.

I don't see anything that stops us from upgrading in Guix, and if I
read correctly, I think even guile-dbi uses Guile 3 already, it's just
the Guix package that is outdated.

```
checking for readdir... yes
checking for strlcat... yes
checking for strlcpy... yes
./configure: line 18718: syntax error near unexpected token `GUILE,'
./configure: line 18718: `PKG_CHECK_MODULES(GUILE, guile-3.0)'
error: in phase 'configure': uncaught exception:
%exception #<&invoke-error program:
"/gnu/store/3jhfhxdf6v5ms10x5zmnl166dh3yhbr1-bash-minimal-5.1.16/bin/bash"
arguments: ("./configure"
"CONFIG_SHELL=/gnu/store/3jhfhxdf6v5ms10x5zmnl166dh3yhbr1-bash-minimal-5.1.16/bin/bash"
"SHELL=/gnu/store/3jhfhxdf6v5ms10x5zmnl166dh3yhbr1-bash-minimal-5.1.16/bin/bash"
"--prefix=/gnu/store/gg2lzslzbb71s50mcfa7j4h3lvjd6izf-guile-dbi-2.1.9"
"--enable-fast-install" "--build=x86_64-unknown-linux-gnu")
exit-status: 2 term-signal: #f stop-signal: #f>
phase `configure' failed after 2.2 seconds
command "/gnu/store/3jhfhxdf6v5ms10x5zmnl166dh3yhbr1-bash-minimal-5.1.16/bin/bash"
"./configure" "CONFIG_SHELL=/gnu/store/3jhfhxdf6v5ms10x5zmnl166dh3yhbr1-bash-minimal-5.1.16/bin/bash"
"SHELL=/gnu/store/3jhfhxdf6v5ms10x5zmnl166dh3yhbr1-bash-minimal-5.1.16/bin/bash"
"--prefix=/gnu/store/gg2lzslzbb71s50mcfa7j4h3lvjd6izf-guile-dbi-2.1.9"
"--enable-fast-install" "--build=x86_64-unknown-linux-gnu" failed with
status 2
build process 18 exited with status 256
```